<?php

namespace App\Controllers;

use App\Models\UserModel;

use CodeIgniter\RESTful\ResourceController;

class ApiController extends ResourceController
{
    protected $format = 'json'; // Force all responses as JSON

    public function index()
    {
        return $this->respond([
            'status' => true,
            'data' => 'Hello World'
        ]);
    }

    public function catalogue()
    {
        return view('catalogue');
    }
    



}
